/* qbtest1.ec - Quadbase SQL test program #1: simple query */

#include "stdio.h"

EXEC SQL BEGIN DECLARE SECTION USING TABLE MOVIE;
    movie BASED ON MOVIE;
    item_no BASED ON MOVIE.ITEM_NO;
EXEC SQL END DECLARE SECTION;

EXEC SQL INCLUDE SQLCA;

main()
{
    while (1) {
         memset (item_no, ' ', sizeof (item_no) - 1);
         item_no [sizeof (item_no) - 1] = '\0';

         EXEC DS CLEAR ALL;
         EXEC DS @10, 10 SAY "Enter movie number or ENTER to quit: "
                         GET :item_no;
         EXEC DS READ;

         if (item_no[1] == ' ')
              break;

         EXEC SQL
              WHENEVER NOT FOUND GOTO :no_such_movie;

         EXEC SQL
              USE TABLE MOVIE;

         EXEC SQL
              SELECT *
              INTO :movie
              FROM MOVIE
              WHERE ITEM_NO like :item_no;

         printf ("\nItem Number: %s\n", movie.item_no);
         printf ("Description: %s\n", movie.descr);
         printf ("Quantity on hand: %hd\n", movie.qty);
         goto next_movie;

no_such_movie:

         printf ("\nNo movie with this number\n");

next_movie:

         printf ("Press ENTER to continue");
         gets (item_no);
     }
}

