/* qbtest2.c - Quadbase SQL test program #1: simple query
               Output from ESQL preprocessor */

#include "stdio.h"

#if 0
EXEC SQL BEGIN DECLARE SECTION USING TABLE MOVIE;
#endif
#if 0
    movie BASED ON MOVIE;
#endif
/*ESQL PP*/
 struct {
/*ESQL PP*/
char item_no[6];
/*ESQL PP*/
char descr[31];
/*ESQL PP*/
long qty;
/*ESQL PP*/
double rent_pr;
/*ESQL PP*/
double purch_pr;
/*ESQL PP*/
char supp_no[5];
/*ESQL PP*/
long totalinv;
 } movie;
#if 0
    item_no BASED ON MOVIE.ITEM_NO;
#endif
/*ESQL PP*/
 char item_no[6];
#if 0
EXEC SQL END DECLARE SECTION;
#endif

#if 0
EXEC SQL INCLUDE SQLCA;
#endif
/*ESQL PP*/
#include "dq.h"
#include "ds.h"

main()
{
    while (1) {
         memset (item_no, ' ', sizeof (item_no) - 1);
         item_no [sizeof (item_no) - 1] = '\0';

#if 0
         EXEC DS CLEAR ALL;
#endif
/*ESQL PP*/
qbio_clear_all();
#if 0
         EXEC DS @10, 10 SAY "Enter movie number or ENTER to quit: "
	                 GET :item_no;
#endif
/*ESQL PP*/
{
int row1, col1;
char *spic = 0;
char *say;
char *gpic = 0;
char *lr;
char *ur;
row1 = 10;
col1 =  10;
say =  "Enter movie number or ENTER to quit: ";
qbio_say(row1, col1, spic, 0, 1, say);
lr = DS_K_no_string_lbound;
ur = DS_K_no_string_ubound;
qbio_get(-1, -1, gpic, 1, 6, item_no, 0, lr, 0, ur);
}
#if 0
         EXEC DS READ;
#endif
/*ESQL PP*/
{
qbio_read(0L, 0, 1);
}

         if (item_no[1] == ' ')
              break;

#if 0
         EXEC SQL
	      WHENEVER NOT FOUND GOTO :no_such_movie;
#endif

#if 0
         EXEC SQL
	      USE TABLE MOVIE;
#endif
/*ESQL PP*/
{
char *sql_cmd =" USE MOVIE;";
dqe_send (NULL, sql_cmd, NULL, NULL);
}

#if 0
         EXEC SQL
	      SELECT *
              INTO :movie
              FROM MOVIE
              WHERE ITEM_NO like :item_no;
#endif
/*ESQL PP*/
{
char *sql_cmd =" SELECT  * \n\
 FROM  MOVIE \n\
 WHERE  ITEM_NO like :item_no;";
static int esql_init = 0;
static dq_t_uwbd_field sql_uwbdfld[7];
static dq_t_uwbd sql_uwbd;

static dq_t_hvardesc sql_hvd[1];
static dq_t_hvars sql_hvdesc;

if (esql_init == 0) {
ESQL_HVAR_desc(1, sql_hvd[0]);
ESQL_HVAR_string (sql_hvd[0], "item_no", item_no);
}
if (esql_init == 0) {
ESQL_UWBD_desc(7, sql_uwbdfld[0]);
ESQL_UWBD_string (sql_uwbdfld[0],movie.item_no);
ESQL_UWBD_string (sql_uwbdfld[1],movie.descr);
ESQL_UWBD_long (sql_uwbdfld[2], movie.qty);
ESQL_UWBD_double (sql_uwbdfld[3], movie.rent_pr);
ESQL_UWBD_double (sql_uwbdfld[4], movie.purch_pr);
ESQL_UWBD_string (sql_uwbdfld[5],movie.supp_no);
ESQL_UWBD_long (sql_uwbdfld[6], movie.totalinv);
}
dqe_select(NULL, sql_cmd, &sql_hvdesc, &sql_uwbd);
esql_init = 1;
if (SQLCODE == 100)  goto no_such_movie;
}

         printf ("\nItem Number: %s\n", movie.item_no);
         printf ("Description: %s\n", movie.descr);
         printf ("Quantity on hand: %hd\n", movie.qty);
         goto next_movie;

no_such_movie:

         printf ("\nNo movie with this number\n");

next_movie:

         printf ("Press ENTER to continue");
         gets (item_no);
     }
}

