* window1.prg
* First effort to use windows as event triggers
* setup allowkeys "global" variable
allowkeys=.f.
* Define some windows
DEFINE WINDOW add FROM 20,05 TO 22,15 shadow double
DEFINE WINDOW delete FROM 20,20 to 22,30 shadow double
DEFINE WINDOW next FROM 20,35 to 22,45 shadow double
DEFINE WINDOW prev FROM 20,50 to 22,60 shadow double
DEFINE WINDOW quit FROM 20,65 to 22,75 shadow double
* Now put these windows on screen, and fill with info
ACTIVATE WINDOW add
@ 0,0 SAY "Add"
ACTIVATE WINDOW delete
@ 0,0 SAY "Delete"
ACTIVATE WINDOW next
@ 0,0 SAY "Next"
ACTIVATE WINDOW prev
@ 0,0 SAY "Previous"
ACTIVATE WINDOW quit
@ 0,0 SAY "Quit"
ACTIVATE SCREEN
CLEAR
* Now define and activate the "Input" screen
DEFINE WINDOW master FROM 2,10 TO 18,69 SHADOW ;
TITLE "Master Data Entry"
USE customer
DO WHILE .T.
  ACTIVATE WINDOW master
  * Now put up some GETs in the master window for demo
  @ 1,0 SAY "Name " GET name
  @ 2,0 SAY "Age  " GET age
  @ 3,0 SAY "Phone" GET phone
  thisact=lbread() && allow user to edit and select action
  DO CASE
    CASE thisact="ADD"
      APPEND BLANK
    CASE thisact="DELETE"
      DELETE
    CASE thisact="NEXT"
      SKIP
      IF EOF()
        GOTO BOTTOM
      ENDIF
    CASE thisact="PREV"
      SKIP -1 
      IF BOF()
        GOTO TOP
      ENDIF
    CASE thisact="QUIT"
      EXIT
  ENDCASE  && what action was taken to exit the read
ENDDO process until user decides to quit

PROCEDURE LBREAD
* lbread.prg
* issues a read and returns event that exited read
* version 4 accommodating window selections
private retval,exitkey,retval,oldallow
oldallow=allowkeys  && save current hot key status
retval=""
do while ""=retval
  exitkey=0  && full screen editing key used to exit
  retval=""  && value to return
  hotevent=""  && variable filled by "external" hot keys
  allowkeys=.t.  && activate hot keys
  read save
  allowkeys=.f.  && deactivate hot keys
  newtop=wontop()  && capture name of window "on top"
  exitkey=readkey()  && capture keystroke used to exit
  do case
    case exitkey=12.or.exitkey=268
      retval="ESCAPE"
    case exitkey=270  && ctrl-w pressed or keyboarded by hot key
      IF ""=hotevent  && no hot key assigned a value to hotevent
        retval="SAVE"
      ELSE  && a hot key assigned a value to hotevent
        retval=hotevent
      ENDIF
    CASE newtop#WOUTPUT()  
      ** user clicked on another window
      retval=newtop
  endcase
enddo
clear gets
allowkeys=oldallow  && reset hot key status
return retval
* eof lbread.prg

